Enspace
  1. Tasks
Enspace
  • Introduction
  • Authentication
  • Concepts
  • First Steps
  • Workspaces
    • Types
      • Fields
        • List Fields
        • Create Field
        • Get Field
        • Field Updated
        • Delete Field
      • Items
        • List Items
        • Create Item
        • Count Items
        • Get Item
        • Update Item
        • Delete item
      • Flows
        • Stages
          • Tasks
            • Tutorial Actions
              • Integrations
                • Tutorial Integrations
            • List Tasks
              GET
            • Get specific Task
              GET
            • New Task
              POST
          • List Stages
            GET
          • Get specific Stage
            GET
        • List Flows
          GET
        • Get specific Flow
          GET
      • Forms
        • List Form
        • Get specific Form
        • List Form Create
      • List Types
        GET
      • Count Types
        GET
      • Get specific Type
        GET
      • Create Type
        POST
      • Update Type
        PUT
      • Delete Type
        DELETE
    • Members
      • List Members
      • Count Members
      • Get Member
      • New Member
      • Update Member
      • Remove Member
    • Roles
      • List roles
      • Create role
      • Count roles
      • Get specific role
      • Update role
      • Delete role
      • List Role Permissions
      • Add Permission to Role
      • Remove Role Permission
    • Member Groups
      • List groups
      • New group
      • Get group
      • Update group
      • Delete group
      • Add Users
      • Remove Users
    • Quick Tasks
      • List Quick Tasks
      • Count Quick Tasks
      • Get Quick Task
      • Delete Quick Task
      • Update Quick Task
      • New Quick Task
    • Integrations
      • Integration
      • Create Integration
    • List Workspaces
      GET
    • Workspace Context
      GET
    • New Workspace
      POST
    • Leave the workspace
      POST
    • Workspace Statistics
      GET
    • Workspace Deletion Preview
      GET
    • Delete Workspace
      DELETE
  • User
    • Request Log
    • List API Keys
  • Schemas
    • Schemas
      • Members
        • MemberUpdate
        • MemberCreate
        • Member
      • Roles
        • Role
        • RoleCreate
        • RoleUpdate
      • MemberGroups
        • MemberGroup
        • MemberGroupCreate
        • MemberGroupUpdate
      • Types
        • Type
        • TypeInput
        • TypeDetail
      • Items
        • Item
        • ItemInput
      • Workspace
        • WorkspaceContext
        • WorkspaceStats
        • Workspace
        • WorkspaceCreate
        • WorkspaceUpdate
      • Tasks
        • Tasks
      • Flow
        • Flow
      • Stages
        • Stage
      • Forms
        • Forms
      • Integrations
        • Integrations
      • User
      • RequestLog
      • UserApiKey
      • SuccessResponse
      • ErrorResponse
      • Field
      • FieldInput
      • Permission
      • PermissionInput
      • Error
    • Response
      • BadRequest
      • Unauthorized
      • Forbidden
      • NotFound
      • ServerError
  1. Tasks

Get specific Task

Developing
Develop Env
https://api-develop.enspace.io
Develop Env
https://api-develop.enspace.io
GET
https://api-develop.enspace.io
/c-stage-tasks/{id}
Maintainer:Julio Cordeiro

Get Task#

Retrieves the details of a specific task by its identifier. A task represents an action or activity configured within a stage of a flow.
The response includes task metadata such as name, status, action type, SLA configuration, responsibility type, start trigger, and visual settings (icon and color).

Request

Authorization
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
API Key
Add parameter in header
en-workspace
Example:
en-workspace: ********************
or
Path Params

Query Params

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
🟠404Record Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api-develop.enspace.io/c-stage-tasks/2?__relations=user,stage' \
--header 'x-api-key: <api-key>' \
--header 'en-workspace: <api-key>'
Response Response Example
200 - Example 1
{
    "id": 2,
    "name": "Tarefa Grupo",
    "status": "active",
    "sla": 1,
    "stage": {
        "id": 1,
        "name": "etp",
        "status": "active",
        "item_type": 2,
        "progress_type": "waiting",
        "flow": 1,
        "is_start": true,
        "hex_color": "f39c12",
        "icon": "carbon:scales",
        "user": 2,
        "created_at": "2019-08-24T14:15:22.123Z",
        "updated_at": "2019-08-24T14:15:22.123Z"
    },
    "responsibility_type": "module_groups",
    "sla_type": "days",
    "sla_origin": "task_created",
    "start_type": "stage_enter",
    "hex_color": "487eb0",
    "icon": "carbon:scales",
    "notification_task": true,
    "user": {
        "id": 0,
        "created_at": "string",
        "email": "string",
        "meta": {
            "fname": "string",
            "lname": "string"
        }
    }
}
Previous
List Tasks
Next
New Task
Built with